Ignition Product Availability API

An API to fetch the availability of a product, base path is https://ignition.ticketek.com.au/products

  • Version: v1

Get the product category availability status for a specified product

  • GET /{productId}/status

Request parameters

Name Type Required Description
productId String true Unique identifier for a product
area String false –
demand String false –
section String false –
sourcePriceTypeCode String false –
raw String false –
CorrelationId – true A unique identifier value (in header) that is attached to requests and messages that allow reference to a particular transaction or event chain
Authorization String true a valid oauth token (in header). ( prepend token with ‘Bearer ‘ )
x-api-key String true API Key (in header)

Response parameters

Name Type Required Description
statuses Array<ProductCategoryStatus> false –
  • ProductCategoryStatus
Name Type Required Description
status String false –
priceCategoryId Integer false –
Scroll to Top